Browse Source

updated chromium

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@2028 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 13 years ago
parent
commit
4581a83746

+ 18 - 0
c/chromium/chromium-browser-vine.desktop

@@ -0,0 +1,18 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=Chromium Web Browser
+Name[ja]=Chromiumウェブブラウザ
+Comment=Browse the World Wide Web
+Comment[ja]=Webを閲覧する
+GenericName=Web Browser
+GenericName[ja]=ウェブブラウザ
+Exec=chromium --enable-plugins --enable-extensions --enable-user-scripts --enable-printing --enable-sync --auto-ssl-client-auth --enable-webgl --enable-geolocation %u
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+Icon=chromium-browser.png
+Categories=Network;WebBrowser;
+MimeType=text/html;
+StartupWMClass=Chromium
+StartupNotify=true

+ 131 - 0
c/chromium/chromium-browser-vine.sh

@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Chromium launcher
+
+# Authors:
+#  Fabien Tassin <fta@sofaraway.org>
+# License: GPLv2 or later
+
+APPNAME=chromium
+LIBDIR=/usr/lib/chromium
+GDB=/usr/bin/gdb
+
+# Let the Chromium aware MeeGo desktop environment.
+# For system proxy setting integration.
+GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
+export GNOME_DESKTOP_SESSION_ID
+
+usage () {
+  echo "$APPNAME [-h|--help] [-g|--debug] [options] [URL]"
+  echo
+  echo "        -g or --debug           Start within $GDB"
+  echo "        -h or --help            This help screen"
+}
+
+# FFmpeg needs to know where its libs are located
+if [ "Z$LD_LIBRARY_PATH" != Z ] ; then
+  LD_LIBRARY_PATH=$LIBDIR:$LD_LIBRARY_PATH
+else
+  LD_LIBRARY_PATH=$LIBDIR
+fi
+export LD_LIBRARY_PATH
+
+# xdg-settings should in PATH
+PATH=$PATH:$LIBDIR
+export PATH
+
+want_debug=0
+while [ $# -gt 0 ]; do
+  case "$1" in
+    -h | --help | -help )
+      usage
+      exit 0 ;;
+    -g | --debug )
+      want_debug=1
+      shift ;;
+    -- ) # Stop option prcessing
+      shift
+      break ;;
+    * )
+      break ;;
+  esac
+done
+
+# Set plugin search path. Chromium will read mozilla's plugin 
+# search path. This is for platforms (handset, TV, etc..) where 
+# plugins are not copied/linked to the standard mozilla plugin
+# path due to reasons. PDF plugin is in the list though it is
+# not really supported by chromium on Linux.
+moz_plugin_path=$(find /usr/java/jre* \
+                  /usr/lib/flash-plugin \
+                  /opt/Adobe* /usr/Adobe* \
+                  -name "libnpjp2.so" -exec dirname {} \; -o \
+                  -name "libflashplayer.so" -exec dirname {} \; -o \
+                  -name "nppdf.so" -exec dirname {} \; 2>/dev/null | xargs echo)
+MOZ_PLUGIN_PATH=$MOZ_PLUGIN_PATH:${moz_plugin_path// /:}
+export MOZ_PLUGIN_PATH
+
+# Setup the default profile if this is none
+# Set the default theme as GTK+ with system window decoration
+if [ ! -d ~/.config/chromium/Default ]; then
+    mkdir -p ~/.config/chromium/Default
+    cat <<EOF > ~/.config/chromium/Default/Preferences
+{
+   "browser": {
+      "custom_chrome_frame": false
+   },
+   "extensions": {
+      "theme": {
+         "colors": {
+
+         },
+         "id": "",
+         "images": {
+
+         },
+         "properties": {
+
+         },
+         "tints": {
+
+         },
+         "use_system": true
+      }
+   },
+   "homepage": "http://meego.com/",
+   "homepage_is_newtabpage": false,
+   "session": {
+      "restore_on_startup": 1
+   },
+   "webkit": {
+      "webprefs": {
+         "default_fixed_font_size": 13,
+         "default_font_size": 16,
+         "fixed_font_family": "Droid Sans Mono",
+         "sansserif_font_family": "Droid Sans",
+         "serif_font_family": "Droid Serif"
+      }
+   }
+}
+EOF
+    # Set the default browser
+    $LIBDIR/xdg-settings set default-web-browser chromium-browser.desktop
+fi
+
+if [ $want_debug -eq 1 ] ; then
+  if [ ! -x $GDB ] ; then
+    echo "Sorry, can't find usable $GDB. Please install it."
+    exit 1
+  fi
+  tmpfile=`mktemp /tmp/chromiumargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
+  trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
+  echo "set args ${1+"$@"}" > $tmpfile
+  echo "# Env:"
+  echo "#     LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
+  echo "$GDB $LIBDIR/$APPNAME -x $tmpfile"
+  $GDB "$LIBDIR/$APPNAME" -x $tmpfile
+  exit $?
+else
+  exec $LIBDIR/$APPNAME "--no-first-run" "--enable-experimental-extension-apis" "$@"
+fi
+

+ 10 - 0
c/chromium/chromium-vendor-vine.patch.in

@@ -0,0 +1,10 @@
+--- src/webkit/glue/user_agent.cc
++++ src/webkit/glue/user_agent.cc
+@@ -103,6 +103,7 @@ void BuildUserAgent(bool mimic_chrome1,
+   StringAppendF(
+       result,
+       "Mozilla/5.0 (%s; %c; %s; %s) AppleWebKit/%d.%d"
++      " Vine/RPM_VERSION"
+       " (KHTML, like Gecko) %s Safari/%d.%d",
+       mimic_windows ? "Windows" : kUserAgentPlatform,
+       kUserAgentSecurity,

+ 143 - 65
c/chromium/chromium-vl.spec

@@ -8,13 +8,14 @@
 %define with_system_icu 1
 %endif
 
-%define svn_rev 58728
+%define svn_rev 62091
+%define v8_ver 2.4.8
 
 Name:           chromium
 Summary:        Google's opens source browser project
 Summary(ja):    Googleのオープンソースウェブブラウザ
 #'
-Version:        7.0.519.0
+Version:        8.0.551.0
 Release:        1%{?_dist_release}
 License:        BSD
 Group:          Applications/Internet
@@ -27,7 +28,7 @@ Source2:        repack_chromium_archive.sh
 # Script used to create the tar.lzma archive from a checked out source
 Source3:        pack_chromium_source.sh
 #Source10:       chromium.desktop
-Source10:       chromium-vine.desktop
+#Source10:       chromium-vine.desktop
 # Patch template which adds vendor to user agent
 ##!!Source20:       chromium-vendor.patch.in
 Source20:       chromium-vendor-vine.patch.in
@@ -36,14 +37,22 @@ Source30:       master_preferences.vine
 #Source31:       default_bookmarks.html
 #Source31:       default_bookmarks.html.vine
 # icu-4.2.1 contained in chromium.5.0.353.0.svn41449 (for Vine Linux 5.X)
-Source100:      icu-4.2.1-chromium.5.0.353.0.svn41449.tar.bz2
+Source50:      icu-4.2.1-chromium.5.0.353.0.svn41449.tar.bz2
+Source99:       chrome-wrapper
+##!!Source100:      chromium-browser.sh
+Source100:      chromium-browser-vine.sh
+##!!Source101:      chromium-browser.desktop
+Source101:      chromium-browser-vine.desktop
+Source102:      chromium-browser.xml
+Source103:      chromium-browser-rpmlintrc
 
 %{?nosrc:NoSource: 0}
 %{?nosrc:NoSource: 1}
-%{?nosrc:NoSource: 100}
+%{?nosrc:NoSource: 50}
 
 Provides:       chromium-browser = %{version}
-#Obsoletes:      chromium-browser < %{version}
+##Provides:	chromium-based-browser
+##Obsoletes:      chromium-browser < %{version}
 
 ## Start Patches
 # Many changes to the gyp system so we can use system libraries
@@ -53,20 +62,27 @@ Patch4:         chromium-no-sqlite-debug.patch
 Patch5:         chromium-gyp-system-04-nss-nspr.patch
 Patch7:         chromium-codechanges-nss-nspr.patch
 Patch8:         chromium-codechanges-zlib.patch
-#Patch9:         chromium-drop-sse.patch
-Patch10:        chromium-fix-wrapper.patch
 Patch12:        chromium-no-test-sources.patch
 Patch13:        chromium-no-courgette.patch
 Patch14:	chromium-master-prefs-path.patch
-#Patch15:        chromium-media-probe.patch
 Patch17:        chromium-system-glew.patch
 Patch18:        chromium-system-expat.patch
 Patch19:        chromium-system-zlib.patch
 Patch20:        chromium-noffmpeg.patch
 Patch21:        chromium-system-old-ffmpeg-way.patch
 Patch23:        chromium-disable-mmx.patch
-#Patch24:	chromium-fix-yuv_row_posix-shared.patch
 Patch25:        tcmalloc-factory.patch
+Patch26:        chromium-remoting-build-fix.diff
+# Shared Library patches
+Patch60:	chromium-sharedlibfixes.patch
+Patch61:        chromium-shared-chromiumthreading.patch
+Patch62:        chromium-norpath.patch
+Patch63:        chromium-6.0.406.0-system-gyp-v8.patch
+# Patches for MeeGo Netbook
+Patch80:        chromium-browser-window-focus.patch
+Patch81:        chromium-20100319-default-browser-setting.patch
+Patch82:        chromium-20100506-expose-chromium-browser-api.patch
+Patch83:        chromium-fix-toolbar-icon-size.patch
 
 # Vine
 
@@ -85,7 +101,6 @@ BuildRequires:  python-pyxml
 BuildRequires:  perl bison flex gperf
 ##!!BuildRequires:  wdiff
 ##!!BuildRequires:  update-desktop-files 
-BuildRequires:  desktop-file-utils
 BuildRequires:  lzma
 ##!!BuildRequires:  mozilla-nss-devel
 BuildRequires:  nss-devel
@@ -116,6 +131,9 @@ BuildRequires:  expat-devel
 BuildRequires:  libpng-devel
 BuildRequires:  sqlite3-devel
 BuildRequires:  gnutls-devel
+BuildRequires:  desktop-file-utils
+BuildRequires:  v8-devel = %{v8_ver}
+BuildRequires:  libvpx-devel
 %if %{?_dist_release} == "vl5"
 BuildRequires:  gnome-keyring-devel
 %elseif %{?_dist_release} == "vl6"
@@ -161,6 +179,15 @@ Chromium は Google Chrome の後方にあるオープンソースプロジェ
 強力なプラットホームを作成するために、
 私たちの取り組みで私たちに加わるようにあなたを誘います。
 
+%package devel
+Summary:        Header file for chromium browser
+Group:          Development/Libraries
+Requires:       chromium = %{version}-%{release}
+
+%description devel
+This package contains the header files and pc file of chromium browser for
+applications which will use chromium browser APIs.
+
 
 %prep
 [ -d %{name} ] && %__rm -rf %{name}
@@ -171,11 +198,20 @@ lzma -cd %{SOURCE0} | tar xf -
 %if %{?_dist_release} == "vl5"
 cd src/third_party || exit 1
     %__rm -rf icu || exit 1
-    tar jxvf %{SOURCE100} || exit 1
+    tar jxvf %{SOURCE50} || exit 1
     %__mv icu-4.2.1-chromium.5.0.353.0.svn41449 icu || exit 1
 cd - || exit 1
 %endif
 
+%patch60 -p1
+%patch61 -p1
+%patch62 -p1
+%patch63 -p1
+%patch80 -p1
+%patch81 -p1
+%patch82 -p1
+%patch83 -p1
+
 # use system libicu only if >= 4.0
 %{?with_system_icu:%patch3 -p1}
 
@@ -183,12 +219,9 @@ cd - || exit 1
 %patch5 -p1
 %patch7 -p1
 %patch8 -p1
-#%patch9 -p1
-%patch10 -p1
 %patch12 -p1
 %patch13 -p1
 %patch14 -p1
-#%patch15 -p0
 %patch17 -p1
 %patch18 -p1
 %patch19 -p1
@@ -198,7 +231,7 @@ cd - || exit 1
 %ifarch %ix86
 %patch23 -p1
 %endif
-#%patch24 -p1
+%patch26 -p1
 
 
 # apply vendor patch after substitution
@@ -222,6 +255,8 @@ done
 pushd src
 
 ./build/gyp_chromium -f make build/all.gyp \
+    -Dlinux_sandbox_path=%{_libdir}/chromium/chrome-sandbox \
+    -Dlinux_sandbox_chrome_path=%{_libdir}/chromium/chromium-browser \
     -Duse_system_ffmpeg=1 \
     -Duse_system_zlib=1 \
     -Duse_system_libpng=1 \
@@ -231,7 +266,9 @@ pushd src
     -Duse_system_libxml=1 \
     -Duse_system_libxslt=1 \
     -Duse_system_libevent=1 \
+    -Duse_system_vpx=1 \
     -Dproprietary_codecs=1 \
+    -Dlibrary=shared_library \
     -Dlinux_fpic=1 \
     %{?with_system_icu:-Duse_system_icu=1} \
     %{!?with_system_icu:-Duse_system_icu=0} \
@@ -257,38 +294,65 @@ popd
 %install
 %{__rm} -rf %{buildroot}
 
-## Create install directories
-%{__mkdir_p} %{buildroot}%{_libdir}/%{name}
-%{__mkdir_p} %{buildroot}%{_bindir}
-%{__mkdir_p} %{buildroot}%{_datadir}/applications
-%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps
-%{__mkdir_p} %{buildroot}%{_mandir}/man1
-%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
-
-# chromium 'make' deposits us back at the top level build directory
+%__mkdir -p %{buildroot}%{_bindir}
+%__install -m 755 %{SOURCE100} %{buildroot}%{_bindir}/chromium
+# x86_64 capable systems need this
+%__sed -i "s|/usr/lib/chromium|%{_libdir}/chromium|g" %{buildroot}%{_bindir}/chromium
+%__mkdir -p %{buildroot}%{_libdir}/chromium/
+%__mkdir -p %{buildroot}%{_mandir}/man1/
 pushd src/out/Release
-ls -l 
+%__cp -a chrome.pak locales resources xdg-settings %{buildroot}%{_libdir}/chromium/
+%__cp -a resources.pak %{buildroot}%{_libdir}/chromium/
+%__cp -a chrome %{buildroot}%{_libdir}/chromium/chromium
+%__cp -a lib.target/lib*.so %{buildroot}%{_libdir}/chromium/
+%__cp -a lib.host/lib*.so %{buildroot}%{_libdir}/chromium/
+#%__cp -a chrome_sandbox %{buildroot}%{_libdir}/chromium/chrome-sandbox
+%__cp -a chrome.1 %{buildroot}%{_mandir}/man1/chrome.1
+%__cp -a chrome.1 %{buildroot}%{_mandir}/man1/chromium.1
+%if %{?_dist_release} == "vl6"
+fdupes %{buildroot}%{_mandir}/man1/
+%endif
+popd
 
-# clean somechromium-codechanges-zlib.patch
-# clean debug junk
-%{__rm} -rf obj/ mksnapshot obj.target obj.host
-find ./ -type f -name '*.d' | while read i; do %__rm -f $i; done
-# clean NaCl stuff...  maybe NaCl will be in its own package in the future.
-%{__rm} -f ncdecode_table ncdecode_tablegen
-# clean other temporary binaries used in the compilation of chromium
-%{__rm} -f protoc xdg-settings
+# devel package install
+mkdir -p %{buildroot}%{_libdir}/chromium/include
+pushd src
+find base -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find app -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find chrome -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find skia -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find build -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find googleurl -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find ipc -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find testing -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find net -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find third_party/skia -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find third_party/WebKit -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find webkit -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+find gfx -name "*.h" -exec %__cp --parents {} %{buildroot}%{_libdir}/chromium/include \;
+popd
+find %{buildroot}%{_libdir}/chromium/include -name "*.h" -exec chmod 644 {} \;
+%if %{?_dist_release} == "vl6"
+fdupes %{buildroot}%{_libdir}/chromium/include
+%endif
+
+%__mkdir_p %{buildroot}/%{_libdir}/pkgconfig
+cat <<! > %{buildroot}/%{_libdir}/pkgconfig/chromium-browser.pc
+Name: Chromium browser
+Description: Chromium browser development package
+Version: 1.0.1
+Libs: -L%{_libdir}/chromium -lapp_base -lappcache -lbase_i18n -lbase -lblob -lbrowser -lcacheinvalidation -lchrome_gpu -lchromoting_base -lchromoting_client -lchromoting_host -lchromoting_jingle_glue -lchromotocol_proto_lib -lcld -lcommon_constants -lcommon_net -lcommon -ldatabase -ldebugger -ldefault_plugin -ldynamic_annotations -lffmpeg -lfileapi -lgfx -lglue -lgoogleurl -lgtest -lharfbuzz_interface -lharfbuzz -lhttp_listen_socket -lhunspell -lil -linstaller_util -lipc -ljingle_p2p -ljingle -lmedia -lmodp_b64 -lnet_base -lnet -lnotifier -lomx_wrapper -lots -lpcre -lplugin -lprinting -lprofile_import -lprotobuf_lite -lprotobuf -lrenderer -lsandbox -lsdch -lservice -lskia_opts -lskia -lspeex -lsqlite3 -lsrtp -lssl -lsymbolize -lsyncapi -lsync_notifier -lsync -ltrace_proto_lib -lutility -lwebcore_bindings -lwebcore_platform -lwebcore_remaining -lwebcore_svg -lwebkit_user_agent -lworker -lwtf -lxdg_mime -lzlib
+Cflags: -I%{_libdir}/chromium/include -I%{_libdir}/chromium/include/skia/config
+!
 
-%{__cp} -rf * %{buildroot}%{_libdir}/%{name}/
+%__mkdir_p %{buildroot}%{_datadir}/pixmaps/
+%__cp -a src/chrome/app/theme/chromium/product_logo_48.png %{buildroot}%{_datadir}/pixmaps/chromium-browser.png
 
-# Man page
-[ ! -f %{name}.1 ] && %{__mv} chrome.1 %{name}.1
-%__install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1
+%__mkdir_p %{buildroot}%{_datadir}/applications/
+desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE101}
 
-# Add startup file with plugins enabled
-%{__cat} > %{buildroot}%{_bindir}/%{name} <<EOF
-#!/bin/bash
-%{_libdir}/%{name}/chrome-wrapper --enable-plugins --enable-user-scripts --enable-extensions --enable-sync --enable-geolocation --enable-webgl --enable-nacl "\$@"
-EOF
+%__mkdir_p %{buildroot}%{_datadir}/gnome-control-center/default-apps/
+%__cp -a %{SOURCE102} %{buildroot}%{_datadir}/gnome-control-center/default-apps/
 
 # # link to browser plugin path.  Plugin patch doesn't work. Why?
 # %{__mkdir_p} %{buildroot}%{_libdir}/browser-plugins
@@ -311,43 +375,57 @@ touch %{buildroot}%{_libdir}/libavutil.so.50
 %{__ln_s} %{_libdir}/libavutil.so.50 libavutil.so.50
 popd
 
-# Install desktop-related files
-%__install -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/applications/%{name}.desktop 
-%__install -m 0644 product_logo_48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
-desktop-file-install --vendor Vine			\
-	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
-	--delete-original				\
-	--mode 644					\
-	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
-
 # Install the master_preferences file
+%__mkdir_p %{buildroot}%{_sysconfdir}/%{name}
 #%__install -m 0644 %{SOURCE30} %{buildroot}%{_sysconfdir}/%{name}
 %__install -m 0644 %{SOURCE30} %{buildroot}%{_sysconfdir}/%{name}/$(basename %{SOURCE30} .vine)
-
-## install o3d plugin
-#pushd src/o3d/build/out/Release
-#%{__cp} -rf * %{buildroot}%{_libdir}/browser-plugins
+#%__install -m 0644 %{SOURCE31} %{buildroot}%{_sysconfdir}/%{name}
 
 %clean
 %{__rm} -rf %{buildroot}
 
 
 %files
-%defattr(-,root,root)
-%doc src/AUTHORS src/LICENSE
-%dir %{_libdir}/%{name}
-%attr(0755,root,root) %{_bindir}/%{name}
-%{_mandir}/man1/*
-%{_datadir}/applications/*%{name}.desktop
-%{_datadir}/pixmaps/%{name}.png
-%{_libdir}/%{name}/*
+%defattr(-,root,root,-)
 %config %{_sysconfdir}/%{name}
-#%{_libdir}/browser-plugins/*
+%dir /usr/share/gnome-control-center
+%dir /usr/share/gnome-control-center/default-apps
+%{_bindir}/chromium
+%{_libdir}/chromium/chromium
+# These unique permissions are intentional and necessary for the sandboxing
+#%attr(4555, root, root) %{_libdir}/chromium/chrome-sandbox
+%{_libdir}/chromium/plugins/
+%{_libdir}/chromium/resources/
+%{_libdir}/chromium/xdg-settings
+%{_mandir}/man1/chrom*
+%{_datadir}/pixmaps/chromium-browser.png
+%{_datadir}/applications/*.desktop
+%{_datadir}/gnome-control-center/default-apps/chromium-browser.xml
+%{_libdir}/chromium/libavcodec.so.52
+%{_libdir}/chromium/libavutil.so.50
+%{_libdir}/chromium/libavformat.so.52
 %exclude %{_libdir}/libavcodec.so.52
 %exclude %{_libdir}/libavutil.so.50
 %exclude %{_libdir}/libavformat.so.52
+## libs
+%dir %{_libdir}/chromium/
+%{_libdir}/chromium/chrome.pak
+%{_libdir}/chromium/resources.pak
+%{_libdir}/chromium/locales/
+%{_libdir}/chromium/lib*.so
+
+%files devel
+%defattr(-,root,root,-)
+%{_libdir}/chromium/include/
+%_libdir/pkgconfig/chromium-browser.pc
 
 %changelog
+* Sun Oct 10 2010 Munehiro Yamamoto <munepi@vinelinux.org> 8.0.551.0-1
+- updated to snapshot 8.0.551
+
+* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 7.0.527.0-1
+- updated to snapshot 7.0.527
+
 * Thu Sep 09 2010 Munehiro Yamamoto <munepi@vinelinux.org> 7.0.519.0-1
 - updated to snapshot 7.0.519
 

+ 30 - 0
c/chromium/master_preferences.vine

@@ -0,0 +1,30 @@
+{
+  "distribution": {
+     "skip_first_run_ui": false,
+     "alternate_shortcut_text": false,
+     "oem_bubble": true,
+     "chrome_shortcut_icon_index": 0,
+     "create_all_shortcuts": true,
+     "show_welcome_page": true,
+     "make_chrome_default": false,
+     "make_chrome_default_for_user": false,
+     "system_level": false,
+     "verbose_logging": false
+  },
+  "download": {
+     "extensions_to_open": "ymp"
+  },
+  "browser": {
+     "show_home_button": true,
+     "check_default_browser": false
+  },
+  "bookmark_bar": {
+     "show_on_all_tabs": true
+  },
+  "first_run_tabs": [
+     "http://vinelinux.org/",
+     "http://tools.google.com/chrome/intl/ja/welcome.html"
+  ],
+  "homepage": "http://vinelinux.org/",
+  "homepage_is_newtabpage": false
+}